Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# ava is not in fedora yet
%global enable_tests 0
%global module_name os-tmpdir
%global gittag0 1.0.2

Name:           nodejs-%{module_name}
Version:        %{gittag0}
Release:        alt1_6
Summary:        Node.js os.tmpdir() ponyfill

License:        MIT
URL:            https://github.com/sindresorhus/os-tmpdir
Source0:        https://github.com/sindresorhus/%{module_name}/archive/v%{gittag0}.tar.gz#/%{module_name}-%{gittag0}.tar.gz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires: npm(ava)
%endif
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{gittag0}

rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
node test.js
%endif

%files
%doc readme.md
%doc --no-dereference license
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_6
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt0.1.njs.bootstrap
- bootstrap

